not able to install expo-image-picker

This issue has been tracked since 2022-09-22.

Description

i have tried to install many times but the problem continues the same, even the '--force' command doesn't work in here, ill show you the error please take a look.

› Installing 1 SDK 46.0.0 compatible native module using npm

npm install
npm ERR! code ERESOLVE
npm ERR! ERESOLVE could not resolve
npm ERR!
npm ERR! While resolving: [email protected]
npm ERR! Found: [email protected]
npm ERR! node_modules/react
npm ERR! [email protected]"18.0.0" from the root project
npm ERR! peer [email protected]"*" from @react-navigation/[email protected]
npm ERR! node_modules/@react-navigation/core
npm ERR! @react-navigation/[email protected]"^6.3.0" from @react-navigation/[email protected]
npm ERR! node_modules/@react-navigation/native
npm ERR! @react-navigation/[email protected]"^6.0.12" from the root project
npm ERR! 2 more (@react-navigation/elements, @react-navigation/native-stack)
npm ERR! 12 more (@react-navigation/elements, ...)
npm ERR!
npm ERR! Could not resolve dependency:
npm ERR! peer [email protected]"^18.2.0" from [email protected]
npm ERR! node_modules/react-dom
npm ERR! peer [email protected]"^17.0.2 || ^18.0.0" from [email protected]
npm ERR! node_modules/react-native-web
npm ERR! [email protected]"^0.18.9" from the root project
npm ERR!
npm ERR! Conflicting peer dependency: [email protected]
npm ERR! node_modules/react
npm ERR! peer [email protected]"^18.2.0" from [email protected]
npm ERR! node_modules/react-dom
npm ERR! peer [email protected]"^17.0.2 || ^18.0.0" from [email protected]
npm ERR! node_modules/react-native-web
npm ERR! [email protected]"^0.18.9" from the root project
npm ERR!
npm ERR! Fix the upstream dependency conflict, or retry
npm ERR! this command with --force, or --legacy-peer-deps
npm ERR! to accept an incorrect (and potentially broken) dependency resolution.
npm ERR!
npm ERR! See C:\Users\aryaa\AppData\Local\npm-cache\eresolve-report.txt for a full report.

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\aryaa\AppData\Local\npm-cache_logs\2022-09-22T07_50_05_603Z-debug-0.log

Error: npm exited with non-zero code: 1
Error: npm exited with non-zero code: 1
at ChildProcess.completionListener (C:\Users\aryaa\Clean\[email protected]\spawn-async\build\spawnAsync.js:52:23)
at Object.onceWrapper (node:events:628:26)
at ChildProcess.emit (node:events:513:28)
at cp.emit (C:\Users\aryaa\Clean\node_modules\cross-spawn\lib\enoent.js:34:29)
at maybeClose (node:internal/child_process:1091:16)
at Socket. (node:internal/child_process:449:11)
at Socket.emit (node:events:513:28)
at Pipe. (node:net:313:12)
...
at spawnAsync (C:\Users\aryaa\Clean\[email protected]\spawn-async\build\spawnAsync.js:17:21)
at NpmPackageManager._runAsync (C:\Users\aryaa\Clean\[email protected]\package-manager\build\NodePackageManagers.js:133:51)
at NpmPackageManager.installAsync (C:\Users\aryaa\Clean\[email protected]\package-manager\build\NodePackageManagers.js:59:20)
at NpmPackageManager.addWithParametersAsync (C:\Users\aryaa\Clean\[email protected]\package-manager\build\NodePackageManagers.js:72:24)
at async installPackagesAsync (C:\Users\aryaa\Clean\[email protected]\cli\build\src\install\installAsync.js:82:5)

Version

2.0.1

Output of npx react-native info

PS C:\Users\aryaa\Clean> npx react-native info
info Fetching system and libraries information...
System:
OS: Windows 10 10.0.22000
CPU: (8) x64 AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx
Memory: 1.23 GB / 5.95 GB
Binaries:
Node: 18.9.0 - C:\Program Files\nodejs\node.EXE
Yarn: Not Found
npm: 8.19.1 - C:\Program Files\nodejs\npm.CMD
Watchman: Not Found
SDKs:
Android SDK: Not Found
Windows SDK: Not Found
IDEs:
Android Studio: AI-212.5712.43.2112.8815526
Visual Studio: Not Found
Languages:
Java: Not Found
npmPackages:
@react-native-community/cli: Not Found
react: 18.0.0 => 18.0.0
react-native: 0.69.5 => 0.69.5
react-native-windows: Not Found
npmGlobalPackages:
react-native: Not Found

Steps to reproduce

i was trying to install npx expo install expo-image-picker, but the terminals keeps showing errors and stop the executions, i have even tried the --force command to run but then it shows that it didn't recognize it

Snack, code example, screenshot, or link to a repository

› Installing 1 SDK 46.0.0 compatible native module using npm

npm install
npm ERR! code ERESOLVE
npm ERR! ERESOLVE could not resolve
npm ERR!
npm ERR! While resolving: [email protected]
npm ERR! Found: [email protected]
npm ERR! node_modules/react
npm ERR! [email protected]"18.0.0" from the root project
npm ERR! peer [email protected]"*" from @react-navigation/[email protected]
npm ERR! node_modules/@react-navigation/core
npm ERR! @react-navigation/[email protected]"^6.3.0" from @react-navigation/[email protected]
npm ERR! node_modules/@react-navigation/native
npm ERR! @react-navigation/[email protected]"^6.0.12" from the root project
npm ERR! 2 more (@react-navigation/elements, @react-navigation/native-stack)
npm ERR! 12 more (@react-navigation/elements, ...)
npm ERR!
npm ERR! Could not resolve dependency:
npm ERR! peer [email protected]"^18.2.0" from [email protected]
npm ERR! node_modules/react-dom
npm ERR! peer [email protected]"^17.0.2 || ^18.0.0" from [email protected]
npm ERR! node_modules/react-native-web
npm ERR! [email protected]"^0.18.9" from the root project
npm ERR!
npm ERR! Conflicting peer dependency: [email protected]
npm ERR! node_modules/react
npm ERR! peer [email protected]"^18.2.0" from [email protected]
npm ERR! node_modules/react-dom
npm ERR! peer [email protected]"^17.0.2 || ^18.0.0" from [email protected]
npm ERR! node_modules/react-native-web
npm ERR! [email protected]"^0.18.9" from the root project
npm ERR!
npm ERR! Fix the upstream dependency conflict, or retry
npm ERR! this command with --force, or --legacy-peer-deps
npm ERR! to accept an incorrect (and potentially broken) dependency resolution.
npm ERR!
npm ERR! See C:\Users\aryaa\AppData\Local\npm-cache\eresolve-report.txt for a full report.

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\aryaa\AppData\Local\npm-cache_logs\2022-09-22T07_50_05_603Z-debug-0.log

Error: npm exited with non-zero code: 1
Error: npm exited with non-zero code: 1
at ChildProcess.completionListener (C:\Users\aryaa\Clean\[email protected]\spawn-async\build\spawnAsync.js:52:23)
at Object.onceWrapper (node:events:628:26)
at ChildProcess.emit (node:events:513:28)
at cp.emit (C:\Users\aryaa\Clean\node_modules\cross-spawn\lib\enoent.js:34:29)
at maybeClose (node:internal/child_process:1091:16)
at Socket. (node:internal/child_process:449:11)
at Socket.emit (node:events:513:28)
at Pipe. (node:net:313:12)
...
at spawnAsync (C:\Users\aryaa\Clean\[email protected]\spawn-async\build\spawnAsync.js:17:21)
at NpmPackageManager._runAsync (C:\Users\aryaa\Clean\[email protected]\package-manager\build\NodePackageManagers.js:133:51)
at NpmPackageManager.installAsync (C:\Users\aryaa\Clean\[email protected]\package-manager\build\NodePackageManagers.js:59:20)
at NpmPackageManager.addWithParametersAsync (C:\Users\aryaa\Clean\[email protected]\package-manager\build\NodePackageManagers.js:72:24)
at async installPackagesAsync (C:\Users\aryaa\Clean\[email protected]\cli\build\src\install\installAsync.js:82:5)

cortinico wrote this answer on 2022-09-22

Hi @amanryn87
Thanks for reporting this issue.

It seems like this issue is actually unrelated to React Native core but related to Expo. Please open this issue against this other repository:

https://github.com/expo/expo/issues

I'll be closing this but feel free to reopen if the other repo points back to us as a issue in the core of React Native.

More Details About Repo
Owner Name facebook
Repo Name react-native
Full Name facebook/react-native
Language JavaScript
Created Date 2015-01-09
Updated Date 2022-10-03
Star Count 105144
Watcher Count 3666
Fork Count 22469
Issue Count 2232

YOU MAY BE INTERESTED

Issue Title Created Date Updated Date